Loading...
Searching...
No Matches
AVCodecDescriptor Struct Reference
libavcodec » Core functions/structures.

This struct describes the properties of a single codec described by an AVCodecID. More...

`#include <libavcodec/codec_desc.h>`

## Data Fields

enum AVCodecID | id
enum AVMediaType | type
const char * | name
| Name of the codec described by this descriptor.
const char * | long_name
| A more descriptive name for this codec.
int | props
| Codec properties, a combination of AV_CODEC_PROP_* flags.
const char *const * | mime_types
| MIME type(s) associated with the codec.
const struct AVProfile * | profiles
| If non-NULL, an array of profiles recognized for this codec.

## Detailed Description

This struct describes the properties of a single codec described by an AVCodecID.

See also
  avcodec_descriptor_get()

Definition at line 38 of file codec_desc.h.

## Field Documentation

## id

enum AVCodecID AVCodecDescriptor::id

Definition at line 39 of file codec_desc.h.

## type

enum AVMediaType AVCodecDescriptor::type

Definition at line 40 of file codec_desc.h.

## name

const char* AVCodecDescriptor::name

Name of the codec described by this descriptor.

It is non-empty and unique for each codec descriptor. It should contain alphanumeric characters and '_' only.

Definition at line 46 of file codec_desc.h.

## long_name

const char* AVCodecDescriptor::long_name

A more descriptive name for this codec.

May be NULL.

Definition at line 50 of file codec_desc.h.

## props

int AVCodecDescriptor::props

Codec properties, a combination of AV_CODEC_PROP_* flags.

Definition at line 54 of file codec_desc.h.

## mime_types

const char* const* AVCodecDescriptor::mime_types

MIME type(s) associated with the codec.

May be NULL; if not, a NULL-terminated array of MIME types. The first item is always non-NULL and is the preferred MIME type.

Definition at line 60 of file codec_desc.h.

## profiles

const struct AVProfile* AVCodecDescriptor::profiles

If non-NULL, an array of profiles recognized for this codec.

Terminated with AV_PROFILE_UNKNOWN.

Definition at line 65 of file codec_desc.h.

The documentation for this struct was generated from the following file:

- libavcodec/codec_desc.h